import { OnChanges, SimpleChange } from '@angular/core';
import { AngularDatatableDirective } from './angular-datatable.directive';
import * as i0 from "@angular/core";
export declare class PaginatorComponent implements OnChanges {
    private injectMfTable;
    inputMfTable: AngularDatatableDirective;
    private mfTable;
    activePage: number;
    rowsOnPage: number;
    dataLength: number;
    lastPage: number;
    constructor(injectMfTable: AngularDatatableDirective);
    ngOnChanges(changes: {
        [key: string]: SimpleChange;
    }): any;
    setPage(pageNumber: number): void;
    setRowsOnPage(rowsOnPage: number): void;
    private onPageChangeSubscriber;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginatorComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginatorComponent, "mf-paginator", never, { "inputMfTable": { "alias": "mfTable"; "required": false; }; }, {}, never, ["*"], false, never>;
}
